// GPIBlib_HP_8903E.h - HP 8903E Distotion Analyzer
// ================================================

// C++ Class.

class Gpib_HP_8903E : public GpibInstrument
{
public:
  Gpib_HP_8903E( int address, int gpibif=0 );
  virtual ~Gpib_HP_8903E();
  bool check_open( void );

  bool get_ac_volts( double* volts );
  bool get_distortion( double* percent );

public:
  bool _hp8903e_opened;
  GpibHandle _hp8903e;

  int _function;        // Function.
  int _instrument_err;  // Error number returned from the 8903E.
};
