#include "GPIBlib.h"

main( int argc, char** argv )
{
  Visa_HP_3457A* hp3457a = new Visa_HP_3457A( 2 );
  hp3457a->set_print_error( true );
  hp3457a->set_print_gpib( true );  
  if( hp3457a->check_open() ){
    double meas;
    hp3457a->set_function( DCV, 30.0 );
    hp3457a->read_simple( &meas );
    printf( "Meas = %f\n", meas ); fflush( stdout );
  }
  else{
    fprintf( stderr, "Open failed\n" );
  }
  return( 0 );
}
